<!DOCTYPE html>
<html lang="en" >
<head>
  <meta charset="UTF-8">
  <title>Decision-Making</title>
  <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Tinos:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="style.css">

</head>
<body>
<!-- partial:index.partial.html -->
<div class="title">
<h1 style="text-align: center;">Decision Making of Software Testing using Rule-Based Approach</h1>
</div>
</br>
</br>
</br>
<div id="wrapper" style="display: block;">
  <br />
  <form id="info">
    <label class="lbl">Project Name:</label>
    <input class="tbox" type="input" id="project_name" name="project_name" value="">
    <br />
    <label class="lbl">Email Address:</label>
    <input class="tbox" type="input" id="email" name="email" value="">
    <br />
    <label for="position" class="lbl">Position:</label>
    <select name="position" id="position">
      <option value="Software Tester">Software Tester</option>
      <option value="Quality Assurance Engineer">Quality Assurance Engineer</option>
      <option value="Test Engineer">Test Engineer</option>
      <option value="Test Analyst">Test Analyst</option>
      <option value="Product Manager">Product Manager</option>
      <option value="Software Engineer">Software Engineer</option>
      <option value="Developer">Developer</option>
      <option value="Others">Others</option>
    </select>
    <br />
    <label for="testing" class="lbl">Current Testing Technique:</label>
    <select name="testing" id="testing">
      <option value="Manual Testing">Manual Testing</option>
      <option value="Automatic Testing">Automatic Testing</option>
      <option value="Hybrid Testing(using both manual and automated testing)">Hybrid Testing(using both manual and automated testing)</option>
    </select>
    <br />
    <label class="lbl">Tool(s) Name (if selected Automatic Testing):</label>
    <input class="tbox" type="input" id="tool_name" name="tool_name" value="">
    <br />
  </form>
  <br />
  <hr>
  <br />
  <h3>Question</p>
  <div class="factor">
  <h3>Factors: System
    Related
    Factors</h3>
  </div>
  
  <form id="quiz">
    <div class="sec">
      <!-- Question 1 -->
      <p>1. In the future, the
        system will be affected by
        major functional
        modification?</p>
      <!-- Here are the choices for the first question. Each input tag must have the same name. For this question, the name is q1. -->
      <!-- The value is which answer the choice corresponds to. -->
      <label class="cursor"><input class="cursor checkmark" type="radio" name="q1" value="c1">
        YES
      </label><br />
      <label class="cursor"><input class="cursor checkmark" type="radio" name="q1" value="c2">
        NO
      </label><br />
    </div>

    <div class="sec">
    <!-- Question 2 -->
    <p>2. The system interface is
      unlikely to change?</p>
    <!-- Here are the choices for the second question. Notice how each input tag has the same name (q2), but a different name than the previous question. -->
    <label class="cursor"><input class="cursor checkmark" type="radio" name="q2" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor checkmark" type="radio" name="q2" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 3 -->
    <p>3. The system has long
      life cycle?</p>
    <!-- Choices for the third question -->
    <label class="cursor"><input class="cursor" type="radio" name="q3" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q3" value="c2">
      NO
    </label><br />
    </div>
    
    <div class="sec">
    <!-- Question 4 -->
    <p>4. The system is generic
      (not heavily customized)</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q4" value="c1">
     YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q4" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 5 -->
    <p>5. Does the system integrated with other system?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q5" value="c1">
     YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q5" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 6 -->
    <p>6. The system is complex?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q6" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q6" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 7 -->
    <p>7. The system have several releases?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q7" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q7" value="c2">
      NO
    </label><br />
    </div>

    </br>
    <div class="factor">
    <h3>Factors: Test Related Factors</h3>
    </div>

    <div class="sec">
    <!-- Question 8 -->
    <p>8. Regression testing needs to be done frequently?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q8" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q8" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 9 -->
    <p>9. The test require large amount of data?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q9" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q9" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 10 -->
    <p>10. The test involve either performance, load, smoke, or unit test?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q10" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q10" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 11 -->
    <p>11. The test require human judgement?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q11" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q11" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 12 -->
    <p>12. The test need to be run in several system environments?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q12" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q12" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 13 -->
    <p>13. The test is straight forward?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q13" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q13" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 14 -->
    <p>14. The test are likely to cover high risk and importance areas?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q14" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q14" value="c2">
      NO
    </label><br />
    </div>

    <div class="sec">
    <!-- Question 15 -->
    <p>15. The automation test will require high maintenance effort?</p>
    <!-- Choices for the fourth question -->
    <label class="cursor"><input class="cursor" type="radio" name="q15" value="c1">
      YES
    </label><br />
    <label class="cursor"><input class="cursor" type="radio" name="q15" value="c2">
      NO
    </label><br />
    </div>

  </br>
  <div class="factor">
  <h3>Factors: Tools Related Factors</h3>
  </div>
  <div class="sec">
  <!-- Question 16 -->
  <p>16. Have you ever tried using the tools before? (If answer = YES, answer question 15 else skip to question 16)</p>
  <!-- Choices for the fourth question -->
  <label class="cursor"><input class="cursor" type="radio" name="q16" value="c1">
    YES
  </label><br />
  <label class="cursor"><input class="cursor" type="radio" name="q16" value="c2">
    NO
  </label><br />
  </div>

  <div class="sec">
  <!-- Question 17 -->
  <p>17. Results for testing are as per expectation?</p>
  <!-- Choices for the fourth question -->
  <label class="cursor"><input class="cursor" type="radio" name="q17" value="c1">
    YES
  </label><br />
  <label class="cursor"><input class="cursor" type="radio" name="q17" value="c2">
    NO
  </label><br />
  </div>

  <div class="sec">
  <!-- Question 18 -->
  <p>18. Does the company afford the cost of the tools?</p>
  <!-- Choices for the fourth question -->
  <label class="cursor"><input class="cursor" type="radio" name="q18" value="c1">
    YES
  </label><br />
  <label class="cursor"><input class="cursor" type="radio" name="q18" value="c2">
    NO
  </label><br />
  </div>

  <div class="sec">
  <!-- Question 19 -->
  <p>19. Does the tool fits with the testing purpose?</p>
  <!-- Choices for the fourth question -->
  <label class="cursor"><input class="cursor" type="radio" name="q19" value="c1">
    YES
  </label><br />
  <label class="cursor"><input class="cursor" type="radio" name="q19" value="c2">
    NO
  </label><br />
  </div>

</br>
<div class="factor">
<h3>Factors: Human and Organizational Related Factors</h3>
</div>
<div class="sec">
<!-- Question 20 -->
<p>20. Does the company has test engineer with programming language knowledge?</p>
<!-- Choices for the fourth question -->
<label class="cursor"><input class="cursor" type="radio" name="q20" value="c1">
  YES
</label><br />
<label class="cursor"><input class="cursor" type="radio" name="q20" value="c2">
  NO
</label><br />
</div>

<div class="sec">
<!-- Question 21 -->
<p>21. Does the company can afford to train test engineer for automation testing?</p>
<!-- Choices for the fourth question -->
<label class="cursor"><input class="cursor" type="radio" name="q21" value="c1">
  YES
</label><br />
<label class="cursor"><input class="cursor" type="radio" name="q21" value="c2">
  NO
</label><br />
</div>

<div class="sec">
<!-- Question 22 -->
<p>22. Does the company at least have an expertise for the tools that are going to be used?</p>
<!-- Choices for the fourth question -->
<label class="cursor"><input class="cursor" type="radio" name="q22" value="c1">
  YES
</label><br />
<label class="cursor"><input class="cursor" type="radio" name="q22" value="c2">
  NO
</label><br />
</div>

<div class="sec">
<!-- Question 23 -->
<p>23. Does the testing is under tight schedule and budget?</p>
<!-- Choices for the fourth question -->
<label class="cursor"><input class="cursor" type="radio" name="q23" value="c1">
  YES
</label><br />
<label class="cursor"><input class="cursor" type="radio" name="q23" value="c2">
  NO
</label><br />
</div>

<div class="sec">
<!-- Question 24 -->
<p>24. Does the top management support for automation testing?</p>
<!-- Choices for the fourth question -->
<label class="cursor"><input class="cursor" type="radio" name="q24" value="c1">
  YES
</label><br />
<label class="cursor"><input class="cursor" type="radio" name="q24" value="c2">
  NO
</label><br />
</div>

<div class="sec">
<!-- Question 25 -->
<p>25. Does the company able to control the changes of the system?</p>
<!-- Choices for the fourth question -->
<label class="cursor"><input class="cursor" type="radio" name="q25" value="c1">
  YES
</label><br />
<label class="cursor"><input class="cursor" type="radio" name="q25" value="c2">
  NO
</label><br />
</div>

  </br>
  </br>
    <a id="submit" onclick="tabulateAnswers()">GET RESULT</a>
  <a type="reset" id="reset" onclick="resetAnswer()">RESET</a>
  </form>
</br>
</div>

</br>
</br>
</br>
</br>
<div id="wrapper2" style="opacity: 0">
<div id="answer"><h2 style="text-align: center;">Result</h2>
</div>
</div>
</br>
</br>
</br>
</br>
<!-- partial -->
  <script  src="./script.js"></script>

</body>
</html>
